#pragma once 
#include "us_state_report_generator.h"

namespace Xport_report_suite
{
  class state_area_report_generator;
}

class Xport_report_suite::state_area_report_generator : public Xport_report_suite::us_state_report_generator
{
public:
  state_area_report_generator() {}
  ~state_area_report_generator() {}

private:
  virtual void create_header(document& doc) const;
  virtual void create_report_body(document& doc) const;
  virtual void create_footer(document& doc) const;
  virtual void create_stylesheet(document& doc, stylesheet& ss) const;
  virtual std::string report_dir() const { return "area_reports"; }
  virtual std::string report_name() const { return "state_area_report"; }

  void create_table_header(element& tbl) const;
};


