#pragma once
#include "us_state_report_generator.h"

namespace Xport_report_suite
{
  class divisional_state_density_report_generator;
} 

class Xport_report_suite::divisional_state_density_report_generator : public us_state_report_generator
{
public:
  divisional_state_density_report_generator() {}
  ~divisional_state_density_report_generator() {}

private:
  virtual void create_header(document& doc) const;
  virtual void create_report_body(document& doc) const;
  virtual void create_footer(document& doc) const;
  virtual void create_stylesheet(document& doc, stylesheet& ss) const;
  virtual std::string report_dir() const { return "density_reports"; }
  virtual std::string report_name() const { return "divisional_state_density_report"; }

  void create_table_header(element& tbl, int dvsn) const;
  void create_division_table(element& tbl, int dvsn) const;
};


